#include "vision.h"
#include <bits/stdc++.h>

std::vector<int> getVisionPattern1d()
{
    return {1, 2, 3};
}

int getMove1d(std::vector<int> v)
{
    int m = v.size() / 2;
    if (v[m] == 1) {
        return 2 * (v[m - 1] > v[m + 1]);
    } else if (v[m] == 2) {
        return m - 2 + 4 * (v[m - 1] < v[m + 1]);
    } else {
        return m - 1 + 2 * (v[m - 1] > v[m + 1]);
    }
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
